Orchestrations
Create Orchestration
Create Orchestration
POST
/v2/orchestrationsRequest Body
group_idstring · uuidrequirednamestringrequireddescriptionstringoptionaliconobjectoptionalicon_colorobjectoptionalcredit_limitobjectoptionalmetadataobjectoptionalFreeform string→string labels stored on the orchestration. Filter the list endpoint with repeated ?metadata=key:value params. Omit or null for none.
membersarray<string>optionaledgesarray<object>optionaltriggersarray<object>optionalRequest
curl --request POST \
--url https://api.brainbaselabs.com/v2/orchestrations \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"group_id": "306db4e0-7449-4501-b76f-075576fe2d8f",
"name": "string",
"description": "",
"icon": "string",
"icon_color": "string",
"credit_limit": 0,
"metadata": {
"property1": "string",
"property2": "string"
},
"members": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"edges": [
{
"from_agent_id": "5263c7c6-e676-46d8-a6d1-3555c9c1605e",
"to_agent_id": "59132b1d-373f-4e40-ba51-efb09b82ca7a",
"description": "",
"payload_schema": {}
}
],
"triggers": [
{
"trigger_type": "schedule",
"node_id": "6e0bdcac-9717-4a6f-972e-97489dffeb0c",
"cron_expression": "string",
"is_active": false,
"configured_props": {},
"edges": [
{
"to_agent_id": "59132b1d-373f-4e40-ba51-efb09b82ca7a",
"description": "",
"payload_schema": {}
}
]
}
]
}'Response
json{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"group_id": "306db4e0-7449-4501-b76f-075576fe2d8f",
"name": "string",
"description": "string",
"icon": "string",
"icon_color": "string",
"credit_limit": 0,
"metadata": {
"property1": "string",
"property2": "string"
},
"members": [
"497f6eca-6276-4993-bfeb-53cbbbba6f08"
],
"edges": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"orchestration_id": "9dd89140-c482-4cac-a9ef-d3fd3f520018",
"from_agent_id": "5263c7c6-e676-46d8-a6d1-3555c9c1605e",
"to_agent_id": "59132b1d-373f-4e40-ba51-efb09b82ca7a",
"description": "string",
"payload_schema": {},
"created_at": "2019-08-24T14:15:22Z"
}
],
"triggers": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"orchestration_id": "9dd89140-c482-4cac-a9ef-d3fd3f520018",
"node_id": "6e0bdcac-9717-4a6f-972e-97489dffeb0c",
"trigger_type": "schedule",
"is_active": true,
"state": "live",
"cron_expression": "string",
"configured_props": {},
"last_run_at": "2019-08-24T14:15:22Z",
"trigger_count": 0,
"edges": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"trigger_id": "5727dbbb-3b26-4abe-aec6-181eabbdb21c",
"to_agent_id": "59132b1d-373f-4e40-ba51-efb09b82ca7a",
"description": "string",
"payload_schema": {},
"created_at": "2019-08-24T14:15:22Z"
}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
],
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}